#ifndef WMMGAM_H
#define WMMGAM_H

/*
 * WMM - Wave-matching method for mode analysis of dielectric waveguides
 * https://wmm.computational-photonics.eu/
 */

/*
 * wmmgam.h
 * spectral discretization 
 */


extern double GPxa, GPxr, GPxb;
extern double GPya, GPyr, GPyb;
extern double GPw;

extern double GFDiff;
extern double MaxWvpA;
extern int Vlsg;

int afdisc(Fstype typ, char pfqf, double pvz, double qvz, 
                  double *afvec);

#define MTFPSET 1000

#endif // WMMGAM_H
