#ifndef WMMPOL_H
#define WMMPOL_H

/*
 * WMM - Wave-matching method for mode analysis of dielectric waveguides
 * https://wmm.computational-photonics.eu/
 */

/*
 * wmmpol.h
 * procedures to set up lsq-error and normalization matrices 
 */

/* normalization matrix for rectangle l, m */
int fillsnmat(int l, int m, double *nmat, int pen);

/* fill least squares error matrix */
void fillampmat();

/* free memory */
void closeampmat();

#endif // WMMPOL_H
